#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Checkout TS.ITS sources\n*****************************\n"
cd ${HOME}/dev || exit 1

git clone --recurse-submodules --single-branch --branch devel https://forge.etsi.org/rep/ITS/TS.ITS.git TS.ITS
cd ./TS.ITS
BASE_PATH=`pwd`
for i in `find $BASE_PATH/ttcn -type d -name "Ats*"`
do
    cd $i
    git checkout devel
done
for i in `find $BASE_PATH/ttcn/Ats* -type d -name "asn1"`
do
    cd $i
    git checkout testing
    SUB_DIRS=`find . -type d`
    if [ "SUB_DIRS" != "" ]
    then
        for j in $SUB_DIRS
        do
            cd $j
            git checkout testing
            cd -
        done
    fi
done
cd ${HOME}/dev/TS.ITS/titan-test-system-framework
git checkout devel
cd ./ttcn/LibHttp
ln -sf module_its.mk module.mk
cd ${HOME}/dev/TS.ITS/ttcn/LibIts
git checkout devel

echo -e "*****************************\n* Setup environment\n*****************************\n"
cd ${HOME}
ln -sf ${HOME}/dev/TS.ITS/scripts/devenv.bash.ubuntu ${HOME}/devenv.bash

cd ${HOME}

exit 0
